<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0) on Mon Nov 23 18:36:05 CET 2009 -->
<TITLE>
Class Hierarchy (Java-Erlang Interface Library)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Class Hierarchy (Java-Erlang Interface Library)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="com/ericsson/otp/erlang/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="com/ericsson/otp/erlang/package-tree.html">com.ericsson.otp.erlang</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/AbstractNode.html" title="class in com.ericsson.otp.erlang"><B>AbstractNode</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpLocalNode.html" title="class in com.ericsson.otp.erlang"><B>OtpLocalNode</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpNode.html" title="class in com.ericsson.otp.erlang"><B>OtpNode</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpSelf.html" title="class in com.ericsson.otp.erlang"><B>OtpSelf</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpServer.html" title="class in com.ericsson.otp.erlang"><B>OtpServer</B></A></UL>
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpPeer.html" title="class in com.ericsson.otp.erlang"><B>OtpPeer</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/GenericQueue.html" title="class in com.ericsson.otp.erlang"><B>GenericQueue</B></A><LI TYPE="circle">java.io.InputStream (implements java.io.Closeable)
<UL>
<LI TYPE="circle">java.io.ByteArrayInputStream<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpInputStream.html" title="class in com.ericsson.otp.erlang"><B>OtpInputStream</B></A></UL>
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpEpmd.html" title="class in com.ericsson.otp.erlang"><B>OtpEpmd</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangObject.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangObject</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangAtom.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangAtom</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangBoolean.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangBoolean</B></A> (implements java.lang.Cloneable, java.io.Serializable)
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangBitstr.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangBitstr</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangBinary.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangBinary</B></A> (implements java.lang.Cloneable, java.io.Serializable)
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangDouble.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangDouble</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangFloat.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangFloat</B></A> (implements java.lang.Cloneable, java.io.Serializable)
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangExternalFun.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangExternalFun</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangFun.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangFun</B></A> (implements java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangList.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangList</B></A> (implements java.lang.Cloneable, java.lang.Iterable&lt;T&gt;, java.io.Serializable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangList.SubList.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangList.SubList</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangLong.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangLong</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangByte.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangByte</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangChar.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangChar</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangInt.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangInt</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangShort.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangShort</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangUInt.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangUInt</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangUShort.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangUShort</B></A> (implements java.lang.Cloneable, java.io.Serializable)
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangPid.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangPid</B></A> (implements java.lang.Cloneable, java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangPort.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangPort</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangRef.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangRef</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangString.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangString</B></A> (implements java.lang.Cloneable, java.io.Serializable)
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangTuple.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangTuple</B></A> (implements java.lang.Cloneable, java.io.Serializable)
</UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangObject.Hash.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangObject.Hash</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpExternal.html" title="class in com.ericsson.otp.erlang"><B>OtpExternal</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpMbox.html" title="class in com.ericsson.otp.erlang"><B>OtpMbox</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpMsg.html" title="class in com.ericsson.otp.erlang"><B>OtpMsg</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpNode.Mailboxes.html" title="class in com.ericsson.otp.erlang"><B>OtpNode.Mailboxes</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpNodeStatus.html" title="class in com.ericsson.otp.erlang"><B>OtpNodeStatus</B></A><LI TYPE="circle">java.io.OutputStream (implements java.io.Closeable, java.io.Flushable)
<UL>
<LI TYPE="circle">java.io.ByteArrayOutputStream<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpOutputStream.html" title="class in com.ericsson.otp.erlang"><B>OtpOutputStream</B></A></UL>
</UL>
<LI TYPE="circle">java.lang.Thread (implements java.lang.Runnable)
<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/AbstractConnection.html" title="class in com.ericsson.otp.erlang"><B>AbstractConnection</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpConnection.html" title="class in com.ericsson.otp.erlang"><B>OtpConnection</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpCookedConnection.html" title="class in com.ericsson.otp.erlang"><B>OtpCookedConnection</B></A></UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpNode.Acceptor.html" title="class in com.ericsson.otp.erlang"><B>OtpNode.Acceptor</B></A></UL>
<LI TYPE="circle">java.lang.Throwable (implements java.io.Serializable)
<UL>
<LI TYPE="circle">java.lang.Exception<UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpException.html" title="class in com.ericsson.otp.erlang"><B>OtpException</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpAuthException.html" title="class in com.ericsson.otp.erlang"><B>OtpAuthException</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangException.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangException</B></A><UL>
<LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangDecodeException.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangDecodeException</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangExit.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangExit</B></A><LI TYPE="circle">com.ericsson.otp.erlang.<A HREF="com/ericsson/otp/erlang/OtpErlangRangeException.html" title="class in com.ericsson.otp.erlang"><B>OtpErlangRangeException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="com/ericsson/otp/erlang/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
